commit:     65f5fde97515f7edeb7c00cc035612fce2931bcb
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  2 14:11:00 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  2 14:11:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65f5fde9

dev-python/google-api-core: add 2.11.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  1 +
 .../google-api-core/google-api-core-2.11.0.ebuild  | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/google-api-core/Manifest 
b/dev-python/google-api-core/Manifest
index e809653bd43a..63baa4fb791b 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,4 +1,5 @@
 DIST python-api-core-2.10.0.gh.tar.gz 180767 BLAKE2B 
1f8d86fbd39c6bed927b2354c7e734ef2de563e2583bc4d9bff8121ae45b5538c67472a723e6c6990d1c5aa165ea83e3c1184fae2fd79ce2ea985aa89e057c7a
 SHA512 
e4719eee37e04719d6ce7d0fe99e106ffdc8fba08f73d02f94b597f7c6fa4e57a0e28876b1c5baa2a9ce77220422f17d234b0d802d63238217a902fab65d546c
 DIST python-api-core-2.10.1.gh.tar.gz 181127 BLAKE2B 
5f900c48ed367cbee03079efd78f16f9c07c2bf976757496fe9cee1ebbed5a9fe52e6c4f9f2a8ea6b7739e82c2efe44f294a3fb2586e19240855737431508f94
 SHA512 
f66188cc154d39483dc23e15d3d8100e5b6851cf44fa52d6e1917016d295b5de37132627ef9044905ab4e28f7b2f2e5131ce00ed50631d83c66fa192b106904e
 DIST python-api-core-2.10.2.gh.tar.gz 181173 BLAKE2B 
181aa7ed47c64a231ee30e7719f3e3c271de14408466cbb41653e2eea4617058fcb60da31c77d98d33b0026352e6a3d5e61fabf03b480c596eb8aebfd5b8bab0
 SHA512 
4f2f98aad9638516e6e96ade137a1f6bf877c8a9d03537c11cf85e4550d19fe166ba1a2963d1dfde9931cea4e98d581d8f734644c3b623b78aedc4e2711e0aa8
+DIST python-api-core-2.11.0.gh.tar.gz 187535 BLAKE2B 
e8029b6344b572e1dcc8455b95f3ee63c8d3684f0c8807793e4e6ba2dd0179c939f183144085c2b94a29b8a1ae0e39aeffceb632988702806665ec39c51e3ce5
 SHA512 
798ff3970027d7ce60dcb62a88d395ebf00454f902fda4f272fc240b9ec104af112dd9de479fb6761990c48931c8ccd8c5223a1b2b5fa44823cabac862efdba8
 DIST python-api-core-2.8.2.gh.tar.gz 164586 BLAKE2B 
bd62b20d1be52f0a2227d1663ee37ce31d991e0773ed793a3999b70c74e03a28ac188cc331027def0055a5b80e93378d9ec5baa389c65e7d2f183b37233be5ac
 SHA512 
5844339cee71103650c446f002dcb13a632086d96dec1ed04a0ad5e4d3a61cc2a8e048da3e6445a50a0c009b0d25729f02865d28484bfee2a3427c829537e350

diff --git a/dev-python/google-api-core/google-api-core-2.11.0.ebuild 
b/dev-python/google-api-core/google-api-core-2.11.0.ebuild
new file mode 100644
index 000000000000..49c9fdd9dd60
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.11.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+       https://github.com/googleapis/python-api-core/
+       https://pypi.org/project/google-api-core/
+       https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+       https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+       >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       <dev-python/requests-3[${PYTHON_USEDEP}]
+       !dev-python/namespace-google
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/proto-plus[${PYTHON_USEDEP}]
+               dev-python/rsa[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # failing due to missing grpcio-status
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_unary_errors
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_raised
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_read
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_aiter
+       tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_write
+       tests/unit/test_grpc_helpers.py::test_wrap_unary_errors
+       tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_invocation
+       
tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_iterator_initialization
+       
tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_during_iteration
+)
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+       rm -r google || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       distutils_write_namespace google
+       epytest -p no:aiohttp -p no:trio tests
+}

Reply via email to